Subject: Re: bug#16740: 24.2; Please allow C-p and C-n in minibuffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 26 Dec 2021 12:56:10 +0100

Juri Linkov <[email-masked]> writes:

> Before closing, we need to decide whether to bind C-p and C-n
> to the same commands that were bound in 2014 to [up] and [down],
> i.e. whether to apply such patch:

[...]

>    (define-key map [down]  'next-line-or-history-element)
> +  (define-key map "\C-n"  'next-line-or-history-element)

If I remember correctly, I think the idea was to have a way for the user
to skip the nice magical DWIM stuff that's on up/down, so C-n/C-p was
left alone on purpose.  And I think that's still the right decision.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no